Bug 1661882 - Nfs-ganesha with rgw config for multi tenancy rgw users [NEEDINFO]
Summary: Nfs-ganesha with rgw config for multi tenancy rgw users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 3.2
Assignee: Matt Benjamin (redhat)
QA Contact: vidushi
John Brier
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-12-24 08:34 UTC by Manjunatha
Modified: 2019-03-07 15:51 UTC (History)
15 users (show)

Fixed In Version: RHEL: ceph-12.2.8-64.el7cp Ubuntu: ceph_12.2.8-49redhat1
Doc Type: Bug Fix
Doc Text:
.Mapping NFS exports to Object Gateway tenant user IDs works as expected Previously, the NFS server for the Ceph Object Gateway (`nfs-ganesha`) did not correctly map Object Gateway tenants into their correct namespace. As a consequence, an attempt to map an NFS export onto Ceph Object Gateway with a tenanted user ID silently failed; the account could authenticate and NFS mounts could succeed, but the namespace did not contain buckets and objects. This bug has been fixed, and tenanted mappings are now set correctly. As a result, NFS exports can now be mapped to Object Gateway tenant user IDs and buckets and objects are visible as expected in the described situation.
Clone Of:
Environment:
Last Closed: 2019-03-07 15:51:12 UTC
bancinco: needinfo? (mbenjamin)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0475 None None None 2019-03-07 15:51:21 UTC
Ceph Project Bug Tracker 37928 None None None 2019-01-15 18:53:52 UTC

Comment 8 Vikhyat Umrao 2019-01-15 18:40:07 UTC
Looks like we have the fix in master we need to backport to downstream https://github.com/ceph/ceph/pull/19358

Comment 35 errata-xmlrpc 2019-03-07 15:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0475


Note You need to log in before you can comment on or make changes to this bug.